DCCP(1)

NAME
dccp - ACR/NEMA DICOM PS3 ... DICOM PS3 - Copy DICOM file

SYNOPSIS

dccp [ -v|verbose ] [ -ignorereaderrors ] [ -removecommandgroup ] [ -selectvoilutitem 0..n-1 ]

DESCRIPTION

dccp reads the named dicom or acr-nema input file and copies the information and pixel data to a new dicom file.

The input encoding of the file will be automatically determined, or can be explicitly specified in pathological cases using the input options described in dcintro(1).

The encoding of the file will be changed to the default or explicitly requested transfer syntax, as described in dcintro(1) under output options. This provides a means of converting between different transfer syntaxes, and adding or removing Part 10 style meta-information headers to or from "true" DICOM files, DICOM messages captured from network exchanges such as with the Mallinckrodt or Oldenburg central test node software, or converting old ACR/NEMA or SPI files.

During the translation, specific attributes may be deleted, added or replaced, class and instance unique identifiers generated or removed, group lengths added, or private attributes removed, as specified by the replacement options described in dcintro(1). This allows pre-DICOM ACR-NEMA or SPI files to be converted to DICOM files containing conforming instances of SOP classes in a semi-automated manner. If the SOP Class can be automatically determined, such as for CT or MR images, specific SOP Class instances will be created, otherwise SC will be used. Unique study, series and instance identifiers will be generated from a time stamp, but can be overridden by command line options to allow for shared identifiers between files of a series.

OPTIONS
The verbose output goes to standard error.

The basic input switches are described in dcintro(1). Options specific to this program are:

-verbose
    Display byte offset from file start and message start, in hexadecimal, and dump contents while reading, once read, during replacement, and before writing.

-ignorereaderrors
    Normally dccp stops if read errors are encountered, but if this option is turned on, it will try to write what it can. This may be useful to remove trailing garbage after a valid dicom set that has been padded past the pixel data (e.g. to a blocksize) or similar.

-removecommandgroup
    Normally dccp will created an invalid copy if the input is in implicit VR and erroneously has command group (0x0000) elements at the head of the dataset (e.g. if the both the command and dataset network PDUs were saved to a file), since the command group elements will get inserted in fromt of the meta information header. Use this option to remove command group elements (whether or not a meta information header is added).

-selectvoilutitem 0..n-1
    Keep only the selected VOI LUT Sequence Item, where the items are numbered from 0.

ENVIRONMENT

EXAMPLES

% echo Adds meta-information header by default
% dccp -v NM.dc3 NM2.dc3
******** While reading ... ********
@0x00000000,0x00000000 of 0xffffffff: (0x0008,0x0000) ...
******** As read ... ********
(0x0008,0x0000) UL Group Length VR=<UL> ...
******** As written ... ********
(0x0002,0x0000) UL Meta Element Group Length ...
(0x0002,0x0001) OB File Meta Information Version ...
(0x0008,0x0008) CS Image Type VR=<CS> VL=<24> <...>
% echo Make explicit big endian, with stamp & replacement,
       and removal of private attributes
% dccp -v -ts 1.2.840.10008.1.2.2 -stamp "9999"
       -r PatientSex F -removeprivate
       test.dc3 test.big
******** While reading ... ********
@0x00000000,0x00000000 of 0xffffffff: (0x0008,0x0000) ...
******** As read ... ********
(0x0010,0x0040) CS PatientSex VR=<CS> VL=<2> <M >
(0x0028,0x0010) US Rows VR=<US> VL=<2> [100]
(0x0029,0x0010) LO Private Creator ... [ACME CO ]
(0x0029,0x1010) DS Zoom VR=<DS> VL=<0> <>
******** After replace before... ********
(0x0010,0x0040) CS PatientSex VR=<CS> VL=<2> <F>
******** As written ... ********
(0x0002,0x0000) UL Meta Element Group Length ...
(0x0002,0x0001) OB File Meta Information Version ...
(0x0010,0x0040) CS PatientSex VR=<CS> VL=<2> <F>
(0x0028,0x0010) US Rows VR=<US> VL=<2> [100]

FILES

SEE ALSO
dcintro(1)

AUTHOR
Copyright (C) 1993-2010. David A. Clunie DBA PixelMed Publishing. All rights reserved.

BUGS